package com.ruoyi.sim.domain.vo;

import com.ruoyi.sim.domain.*;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * [学生]准备考试页面Vo。
 */
public class StudentRealExamPreVo {

    private RealExam realExam;

    private RealExamCollection realExamCollection;

    private Sim sim;

    private Student student;

    private Seat seat;
    /**
     * 是否可以下一步进入考试。
     */
    private boolean next = false;

    public StudentRealExamPreVo() {
    }

    public RealExam getRealExam() {
        return realExam;
    }

    public void setRealExam(RealExam realExam) {
        this.realExam = realExam;
    }

    public RealExamCollection getRealExamCollection() {
        return realExamCollection;
    }

    public void setRealExamCollection(RealExamCollection realExamCollection) {
        this.realExamCollection = realExamCollection;
    }

    public Sim getSim() {
        return sim;
    }

    public void setSim(Sim sim) {
        this.sim = sim;
    }

    public Student getStudent() {
        return student;
    }

    public void setStudent(Student student) {
        this.student = student;
    }

    public Seat getSeat() {
        return seat;
    }

    public void setSeat(Seat seat) {
        this.seat = seat;
    }

    public boolean isNext() {
        return next;
    }

    public void setNext(boolean next) {
        this.next = next;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("realExam", realExam)
                .append("realExamCollection", realExamCollection)
                .append("sim", sim)
                .append("student", student)
                .append("seat", seat)
                .append("next", next)
                .toString();
    }
}
